import { Events, Guild } from 'discord.js';
import { PresenceService } from '../services/PresenceService';

export default {
  name: Events.GuildDelete,
  once: false,
  async execute(guild: Guild) {
    // Update presence to reflect the decreased guild count
    PresenceService.updatePresence(guild.client);
  },
};
